/[gentoo-x86]/profiles/default-linux/alpha/use.mask
Gentoo

Contents of /profiles/default-linux/alpha/use.mask

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.105 - (show annotations) (download)
Fri Jul 31 21:57:19 2009 UTC (8 years, 5 months ago) by ssuominen
Branch: MAIN
Changes since 1.104: +1 -2 lines
dxr3 is masked in base

1 # Copyright 2004 Gentoo Foundation.
2 # Distributed under the terms of the GNU General Public License, v2
3 # $Header: /var/cvsroot/gentoo-x86/profiles/default-linux/alpha/use.mask,v 1.104 2009/07/31 16:00:41 ssuominen Exp $
4
5 # This file masks out USE flags that are simply NOT allowed in the default
6 # profile for any architecture. This works, for example, if a non-default
7 # profile (such as the selinux profiles) have a USE flag associated with
8 # them.
9
10 # No hardware to test by the team
11 3dfx
12 bluetooth
13 chipcard
14 dvb
15 gnokii
16 hbci
17 ipod
18 ivtv
19 mtp
20 mythtv
21 nvtv
22 lirc
23 openct
24 pcmcia
25 pda
26 sms
27 upnp
28 wifi
29
30 # Hardware not available on alpha
31 apm
32 battery
33 cpufreq
34 dell
35 dmi
36 laptop
37
38 # Stuff that doesn't work on alpha, or not tested
39 avi
40 djbfft
41 emboss
42 freetts
43 gnustep
44 hardened
45 howl
46 mzscheme
47 netbeans
48 pike
49 timidity
50
51 # Stuff that doesn't compile on alpha
52 clisp
53 emf
54 mono
55 ocamlopt
56
57 # Other
58
59 # Ben de Groot <yngwin@gentoo.org> 11 Feb 2009
60 # both x11-libs/qt-phonon and media-sound/phonon are unkeyworded
61 phonon
62
63 # 13 Jun 2007 Jose Luis Rivero <yoswink@gentoo.org>
64 # acpid masked and acpi use flag is deprecated now.
65 acpi
66
67 # 14 May 2007 Raรบl Porcel <armin76@gentoo.org>
68 # Alpha doesn't have wpa_supplicant keyworded, bug 175714
69 networkmanager
70
71
72 # alpha doesn't have java support other than compaq-j*, which isn't a
73 # current version. must mask this to keep things sane
74 java
75 java-internal
76 java-external
77
78 # Mask vpopmail until net-mail/vpopmail goes out of package.mask
79 vpopmail
80
81 # Mask pyste until gccxml / elementtree work on alpha
82 pyste
83
84 # RDEPEND on mono
85 beagle
86
87 # apache segfaults when using mpm-peruser (bug 105778)
88 mpm-peruser
89
90 # We don't have any virtual/mpi (bug 111807)
91 mpi
92
93 # masks required for asterisk
94 bri
95 pri
96 zaptel
97
98 # Modular X: mask non-alpha cards
99 video_cards_apm
100 video_cards_ark
101 video_cards_chips
102 video_cards_cyrix
103 video_cards_i128
104 video_cards_i740
105 video_cards_i810
106 video_cards_imstt
107 video_cards_intel
108 video_cards_neomagic
109 video_cards_newport
110 video_cards_nsc
111 video_cards_sis
112 video_cards_trident
113 video_cards_tseng
114 video_cards_vesa
115
116
117 # dspam and dspam-web use this one
118 # We've never supported cyrus-imapd because nobody asked for
119 cyrus
120
121 # disable until tested
122 # # bug 148402
123 pcsc-lite
124
125 # conky dependencies missing keywords related (dragonheart -20061112)
126 # media-sound/mpd
127 mpd
128
129 # USE=d seems to break gcc-4.1.2 (#178896)
130 d
131
132 # USE=audit masked prior to testing on alpha, arm, hppa, ppc64, s390, sh.
133 # Bug #184563, 18 Sep 2007
134 # Robin H. Johnson <robbat2@gentoo.org>
135 audit
136
137 # This works
138 -x264
139
140 # too complicated/invovled to test and too small user base
141 # Tobias Klausmann <klausman@gentoo.org>
142 afs
143
144 # uses gnat/ada which is too big to support currently
145 topal

  ViewVC Help
Powered by ViewVC 1.1.20